| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
FileConsumer Class Reference

`#include <FileConsumer.hpp>`

Inheritance diagram for FileConsumer:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | FileConsumer ()
| Default constructor: filename = "output.log", append = false.
FASTDDS_EXPORTED_API | FileConsumer (const std::string &filename, bool append=false)
| Constructor with parameters.
virtual | ~FileConsumer ()
Public Member Functions inherited from OStreamConsumer
virtual | ~OStreamConsumer ()=default
FASTDDS_EXPORTED_API void | Consume (const Log::Entry &entry) override
Public Member Functions inherited from LogConsumer
virtual | ~LogConsumer ()=default

## Additional Inherited Members

Protected Member Functions inherited from LogConsumer
FASTDDS_EXPORTED_API void | print_timestamp (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_header (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_context (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_message (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_new_line (std::ostream &stream, bool color) const

## Constructor & Destructor Documentation

## ◆ FileConsumer() [1/2]

FASTDDS_EXPORTED_API FileConsumer | ( |  | ) |

Default constructor: filename = "output.log", append = false.

## ◆ FileConsumer() [2/2]

FASTDDS_EXPORTED_API FileConsumer | ( | const std::string & | filename,
|  | bool | append = false )

Constructor with parameters.

Parameters

  filename | path of the output file where the log will be wrote.
  append | indicates if the consumer must append the content in the filename.

## ◆ ~FileConsumer()

virtual ~FileConsumer | ( |  | ) |

virtual

The documentation for this class was generated from the following file:

- include/fastdds/dds/log/FileConsumer.hpp